Get schema

Prev Next

Available in Classic and VPC

Get details about a specific schema among the created schemas.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /schemas/{schemaName}

Request headers

For headers common to all AiTEMS APIs, see AiTEMS request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
schemaName String Required Schema name

Request example

The following is a sample request.

curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/schemas/interaction_schema' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
datasetType String - Dataset type
  • user | item | interaction
    • user: data containing user information (age, gender, etc.)
    • item: data with product-related information (price, release date, category, etc.)
    • interaction: data that captures the history of interactions between users and products
name String - Schema name
fields Array - Schema field information: fields
description String - Schema description
createdDate String - Schema creation date and time

fields

The following describes fields.

Field Type Required Description
name String - Schema field name
type Array - Schema field data type
  • string | int | long | boolean | null
categorical Boolean - Whether the field is categorical
  • true | false
    • true: categorical data
    • false: uncategorical data
  • Not displayed when false

Response status codes

For response status codes common to all AiTEMS APIs, see AiTEMS response status codes.

Response example

The following is a sample example.

{
    "datasetType": "interaction",
    "name": "interaction_schema",
    "fields": [
        {
            "name": "USER_ID",
            "type": [
                "string"
            ]
        },
        {
            "name": "ITEM_ID",
            "type": [
                "string"
            ]
        },
        {
            "name": "TIMESTAMP",
            "type": [
                "long"
            ]
        },
        {
            "name": "TAG_ID",
            "type": [
                "long"
            ]
        }
    ],
    "description": "",
    "createdDate": "2024-07-30T09:08:09.221"
}